# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getWorkshiftTable(meta):
    return Table('workshift', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    column = Column('shopcode', String(30), nullable=True)
    column.create(getWorkshiftTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getWorkshiftTable(meta).c.shopcode.drop()
