from sqlalchemy import Integer
from dictionaries.versions import views_helper

table_name = 'certificate'
column_name_dept = 'deptcode'
column_name_vat = 'vatcode'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_name_dept, Integer)
    views_helper.create_column(migrate_engine, table_name, column_name_vat, Integer)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name_dept, Integer)
    views_helper.drop_column(migrate_engine, table_name, column_name_vat, Integer)