from sqlalchemy import *
from migrate import *
import migrate.changeset

def getTable(meta):
    return  Table('carditem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    col = Column('bonusbalanceinactive', Numeric(precision=20, scale=2), nullable=True)
    if not 'bonusbalanceinactive' in getTable(meta).columns: 
    	col.create(getTable(meta))
        
                                        
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    if 'bonusbalanceinactive' in getTable(meta).columns: 
    	getTable(meta).c.bonusbalanceinactive.drop()
    