from sqlalchemy import *


def getDocType(meta):
    return Table('documenttype', meta, autoload=True)


def getGoodsItemType(meta):
    return Table('goodsitemtype', meta, autoload=True)


def insertIfNotExist(table, params):
    if not select([table.c.name]).where(and_(table.c.doctype == params['doctype'], table.c.name == params['name'])).execute().first():
        table.insert().values(params).execute()


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    insertIfNotExist(getDocType(meta), dict(doctype=30, moneyfactor=0, name='Отключение кега от крана'))
    insertIfNotExist(getGoodsItemType(meta), dict(doctype=30, factor=0, name='Отключение кега от крана',
                                                  reverseoperation=0))

def downgrade(migrate_engine):
    pass
